## org.eclipse.jst.jsf.core.jsfappconfig
Class DefaultJSFAppConfigLocater

    java.lang.Object
      org.eclipse.jst.jsf.core.jsfappconfig.AbstractJSFAppConfigLocater
          org.eclipse.jst.jsf.core.jsfappconfig.WebContentRelativeJSFAppConfigLocater
              org.eclipse.jst.jsf.core.jsfappconfig.DefaultJSFAppConfigLocater

All Implemented Interfaces:
  IJSFAppConfigLocater

    public class DefaultJSFAppConfigLocater

extends WebContentRelativeJSFAppConfigLocater

DefaultJSFAppConfigLocater attempts to locate the default application configuration file, located at "/WEB-INF/faces-config.xml".

Provisional API - subject to change

Field Summary
`static java.lang.String` `DEF_APPCONFIGRESOURCE_FILENAME` Web content folder-relative name of the default application configuration resource file.

Constructor Summary
`DefaultJSFAppConfigLocater()`

Method Summary
`void` `resourceChanged(IResourceChangeEvent event)` Responds to resource change events.
`void` `startLocating()` Starts locating JSF application configuration resources.
`void` `stopLocating()` Stops locating JSF application configuration resources.

Methods inherited from class org.eclipse.jst.jsf.core.jsfappconfig.WebContentRelativeJSFAppConfigLocater
`locateProviders`

Methods inherited from class org.eclipse.jst.jsf.core.jsfappconfig.AbstractJSFAppConfigLocater
`dispose, getJSFAppConfigManager, getJSFAppConfigProviders, setJSFAppConfigManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEF_APPCONFIGRESOURCE_FILENAME

    public static final java.lang.String DEF_APPCONFIGRESOURCE_FILENAME

  Web content folder-relative name of the default application configuration resource file.

  See Also:
    Constant Field Values

Constructor Detail

### DefaultJSFAppConfigLocater

    public DefaultJSFAppConfigLocater()

Method Detail

### startLocating

    public void startLocating()

  Description copied from interface: `IJSFAppConfigLocater`
  Starts locating JSF application configuration resources.

  Specified by:
    `startLocating` in interface `IJSFAppConfigLocater`
  Specified by:
    `startLocating` in class `AbstractJSFAppConfigLocater`

### stopLocating

    public void stopLocating()

  Description copied from interface: `IJSFAppConfigLocater`
  Stops locating JSF application configuration resources.

  Specified by:
    `stopLocating` in interface `IJSFAppConfigLocater`
  Specified by:
    `stopLocating` in class `AbstractJSFAppConfigLocater`

### resourceChanged

    public void resourceChanged(IResourceChangeEvent event)

  Responds to resource change events.

  Parameters:
    `event` - IResourceChangeEvent instance.